package com.qsoft.rs.sincoar.dto;

import java.io.Serializable;

public class MdPartitionsDTO implements Serializable {

    private static final long serialVersionUID = 382154699695871L;

    private Integer id;

    private String nativeSql;

    private String partitionExpression;

    private String comments;

    private Integer securityGroupId;

    private String createdBy;

    private java.util.Date createdOn;

    private String lastUpdatedBy;

    private java.util.Date lastUpdatedOn;

    private Integer tableIdFk;

        public Integer getId() {
    return id;
    }

        public void setId(Integer id) {
    this.id = id;
    }

        public String getNativeSql() {
    return nativeSql;
    }

        public void setNativeSql(String nativeSql) {
    this.nativeSql = nativeSql;
    }

        public String getPartitionExpression() {
    return partitionExpression;
    }

        public void setPartitionExpression(String partitionExpression) {
    this.partitionExpression = partitionExpression;
    }

        public String getComments() {
    return comments;
    }

        public void setComments(String comments) {
    this.comments = comments;
    }

        public Integer getSecurityGroupId() {
    return securityGroupId;
    }

        public void setSecurityGroupId(Integer securityGroupId) {
    this.securityGroupId = securityGroupId;
    }

        public String getCreatedBy() {
    return createdBy;
    }

        public void setCreatedBy(String createdBy) {
    this.createdBy = createdBy;
    }

        public java.util.Date getCreatedOn() {
    return createdOn;
    }

        public void setCreatedOn(java.util.Date createdOn) {
    this.createdOn = createdOn;
    }

        public String getLastUpdatedBy() {
    return lastUpdatedBy;
    }

        public void setLastUpdatedBy(String lastUpdatedBy) {
    this.lastUpdatedBy = lastUpdatedBy;
    }

        public java.util.Date getLastUpdatedOn() {
    return lastUpdatedOn;
    }

        public void setLastUpdatedOn(java.util.Date lastUpdatedOn) {
    this.lastUpdatedOn = lastUpdatedOn;
    }

        public Integer getTableIdFk() {
    return tableIdFk;
    }

        public void setTableIdFk(Integer tableIdFk) {
    this.tableIdFk = tableIdFk;
    }

}